Package: rspamd / 2.7-1

Metadata

Package Version Patches format
rspamd 2.7-1 3.0 (quilt)

Patch series

view the series file
Patch File delta Description
0001 fix perl sheebang.patch | (download)

utils/rspamd_stats.pl | 2 1 + 1 - 0 !
1 file changed, 1 insertion(+), 1 deletion(-)

 fix wrong-path-for-interpreter (perl interpreter)
 According Debian Policy Manual section 10.4 (Scripts) special exception, Perl
 scripts must use /usr/bin/perl directly and not /usr/bin/env.
0003 add versions to shared libraries.patch | (download)

contrib/aho-corasick/CMakeLists.txt | 2 2 + 0 - 0 !
contrib/kann/CMakeLists.txt | 3 2 + 1 - 0 !
contrib/libev/CMakeLists.txt | 1 1 + 0 - 0 !
contrib/replxx/CMakeLists.txt | 3 2 + 1 - 0 !
src/CMakeLists.txt | 4 3 + 1 - 0 !
5 files changed, 10 insertions(+), 3 deletions(-)

 add versions to shared libraries

0004 drop js scripts packaged by Debian.patch | (download)

interface/css/bootstrap.min.css | 7 0 + 7 - 0 !
interface/js/lib/bootstrap.bundle.min.js | 7 0 + 7 - 0 !
interface/js/lib/jquery-3.5.1.min.js | 2 0 + 2 - 0 !
interface/js/lib/require.min.js | 5 0 + 5 - 0 !
interface/js/main.js | 2 1 + 1 - 0 !
5 files changed, 1 insertion(+), 22 deletions(-)

 drop js scripts packaged by debian

Also drop version from jquery path to match the Debian version.

0006 do not install fonts packaged by Debian.patch | (download)

CMakeLists.txt | 4 3 + 1 - 0 !
1 file changed, 3 insertions(+), 1 deletion(-)

 do not install fonts packaged by debian